Can you use a 3.2E NAND on a 4.0E system?

Discussion in 'Wii - Hacking' started by yatesl, Jun 5, 2009.

Jun 5, 2009
  1. yatesl
    OP

    Member yatesl GBAtemp Regular

    Joined:
    Feb 1, 2008
    Messages:
    134
    Location:
    England
    Country:
    United Kingdom
    Basically, my Wii was on 3.2E. I'd not used it in quite a while, and had the Homebrew Channel on it, Starfall, Backup Loader etc.

    I updated HBC before I did anything, which prompted me to install BootMii. I made a NAND backup of the system (which I may or may not have accidentally overwritten, that'll be found out soon). I then installed 4.0 by (foolishly?) clicking the "Update" button on the Wii. HBC no longer worked, so I saved my SD cart again, and used Bannerbomb. Now, HBC, BootMii and the launcher are working fine now. However, when I attempt to install StartPatch, it gives me a -1017 error, which leads me to believe that, after having a quick look round, I messed up on the updating front.

    Apparently I should have done it differently?

    Anyway, is it possible to use the NAND I made from 3.2E (if it still exists), to downgrade my 4.0E system, or will that completely brick it? If I can't, are there any work arounds? IIRC, I need StartPatch to stop games from requiring to update my Wii.

    Again, sorry if this has been asked before.
     
  2. GrizzlyBC

    Newcomer GrizzlyBC Member

    Joined:
    Feb 24, 2009
    Messages:
    25
    Country:
    Canada
    Preloader 0.29 could do the job as well and you wouldn't need startpatch...
     
  3. yatesl
    OP

    Member yatesl GBAtemp Regular

    Joined:
    Feb 1, 2008
    Messages:
    134
    Location:
    England
    Country:
    United Kingdom
    I'll look in to that. If that works, I guess it would save me the hassle.

    But will this "Error -1017" problem crop up in the future? And what have I effectively done to my Wii, by not using a specialised updater?
     
  4. fiddlefaddle22

    Member fiddlefaddle22 GBAtemp Regular

    Joined:
    Nov 24, 2008
    Messages:
    201
    Country:
    United Kingdom
    Yes it's perfectly safe to restore your wii to 3.2 from 4.0 with bootmii as i've done this several times already but before you do it try installing cioscorp and this should should cure the 1017 error your getting as i had exactly the same problem as you and youve got nothing to lose trying it if you have a nand backup.
     
  5. yatesl
    OP

    Member yatesl GBAtemp Regular

    Joined:
    Feb 1, 2008
    Messages:
    134
    Location:
    England
    Country:
    United Kingdom
    Well, after a couple of breath-holding, hair rubbing minutes, I'm back on to 3.2E. I swear, the guys who make programs like these make it take far longer than it should, just so you have more time to think to yourself "Oh God, this isn't going to work, is it? What if the power goes off now? What if my SD card dies?" etc.

    Thanks Fiddle, for the vote of confidence. Now, it seems that I'm fully back on to 3.2E. Would anything possibly be different, that could mess it up? And if not, what's the proper way of going about installing 4.0E?


    Update: I used Wanikoko's updater. I still had to Bannerbomb my Wii, which I found odd. However, after HBC was reinstalled, I used StartPatch and it worked! I enabled all the options (apart from background music, as I quite like it). Problems solved!

    Now, one final question. I'm not sure if this is a taboo here, so please let me know otherwise. I have an NTSC wad file, which I wish to use on my PAL Wii. Is there a hack to let me run it, or is it simply a no-go?

    Update #2: Ignore that. StartPatch seems to let you use NTSC WADs. Hurrah!
     

Share This Page